#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=lae3.18_base.ps
projection=-JM16.0c+
region=-R145.6/147.1/-7.1/-5.5
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map lae3.18' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/l10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    -6.498   146.747
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    -6.562   146.865
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    -6.623   146.879
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    -6.378   146.354
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    -6.233   146.457
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    -5.930   146.020
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    -5.675   145.670
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    -7.019   146.879
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    -6.582   146.763
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    -6.564   146.890
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    -5.925   146.050
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    -5.969   146.178
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    -5.965   145.970
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    -5.853   145.991
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    -6.024   146.156
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    -5.842   145.965
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    -5.853   145.982
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    -6.016   146.068
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    -5.968   146.122
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    -6.142   146.272
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    -6.054   146.079
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    -5.950   146.202
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    -5.924   146.302
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    -5.962   145.873
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    -6.120   145.976
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    -6.070   146.021
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    -5.756   146.076
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    -5.919   145.982
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    -5.914   145.979
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    -5.937   146.009
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    -5.954   146.024
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    -5.887   145.922
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    -5.804   145.781
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    -6.003   145.993
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    -5.873   145.993
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    -5.717   145.914
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    -6.064   145.990
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    -5.820   145.936
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    -5.863   146.138
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    -5.850   146.081
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    -5.866   146.187
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    -5.825   145.896
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    -5.842   145.920
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
    -5.826   145.912
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
    -5.862   146.128
END
gmt psxy -: -R $projection -Sl8p+t"46" -G0 -O -K << END >> $psfile
    -6.060   146.194
END
gmt psxy -: -R $projection -Sl8p+t"47" -G0 -O -K << END >> $psfile
    -5.884   145.861
END
gmt psxy -: -R $projection -Sl8p+t"48" -G0 -O -K << END >> $psfile
    -5.935   145.882
END
gmt psxy -: -R $projection -Sl8p+t"49" -G0 -O -K << END >> $psfile
    -5.855   145.848
END
gmt psxy -: -R $projection -Sl8p+t"50" -G0 -O -K << END >> $psfile
    -5.872   145.981
END
gmt psxy -: -R $projection -Sl8p+t"51" -G0 -O -K << END >> $psfile
    -5.606   145.723
END
gmt psxy -: -R $projection -Sl8p+t"52" -G0 -O -K << END >> $psfile
    -6.600   146.987
END
gmt psxy -: -R $projection -Sl8p+t"53" -G0 -O -K << END >> $psfile
    -6.028   146.134
END
gmt psxy -: -R $projection -Sl8p+t"54" -G0 -O -K << END >> $psfile
    -6.204   146.258
END
gmt psxy -: -R $projection -Sl8p+t"55" -G0 -O -K << END >> $psfile
    -6.200   146.278
END
gmt psxy -: -R $projection -Sl8p+t"56" -G0 -O -K << END >> $psfile
    -6.339   146.244
END
gmt psxy -: -R $projection -Sl8p+t"57" -G0 -O -K << END >> $psfile
    -6.232   146.268
END
gmt psxy -: -R $projection -Sl8p+t"58" -G0 -O -K << END >> $psfile
    -6.205   146.234
END
gmt psxy -: -R $projection -Sl8p+t"59" -G0 -O -K << END >> $psfile
    -6.488   146.860
END
gmt psxy -: -R $projection -Sl8p+t"60" -G0 -O -K << END >> $psfile
    -6.028   146.184
END
gmt psxy -: -R $projection -Sl8p+t"61" -G0 -O -K << END >> $psfile
    -6.378   146.956
END
gmt psxy -: -R $projection -Sl8p+t"62" -G0 -O -K << END >> $psfile
    -6.469   146.923
END
gmt psxy -: -R $projection -Sl8p+t"63" -G0 -O -K << END >> $psfile
    -6.468   146.744
END
gmt psxy -: -R $projection -Sl8p+t"64" -G0 -O -K << END >> $psfile
    -6.418   146.684
END
gmt psxy -: -R $projection -Sl8p+t"65" -G0 -O -K << END >> $psfile
    -6.364   146.688
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.499   146.743
    -6.498   146.747
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.514   146.935
    -6.498   146.747
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.560   146.865
    -6.562   146.865
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.603   146.934
    -6.562   146.865
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.619   146.882
    -6.623   146.879
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.615   146.856
    -6.623   146.879
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.387   146.349
    -6.378   146.354
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.355   146.483
    -6.378   146.354
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.222   146.473
    -6.233   146.457
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.212   146.545
    -6.233   146.457
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.931   146.013
    -5.930   146.020
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.828   146.059
    -5.930   146.020
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.673   145.666
    -5.675   145.670
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.854   145.711
    -5.675   145.670
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -7.021   146.878
    -7.019   146.879
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.990   146.979
    -7.019   146.879
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.583   146.761
    -6.582   146.763
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.725   146.861
    -6.582   146.763
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.562   146.890
    -6.564   146.890
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.598   146.930
    -6.564   146.890
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.920   146.058
    -5.925   146.050
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.895   146.025
    -5.925   146.050
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.967   146.178
    -5.969   146.178
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.947   146.156
    -5.969   146.178
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.964   145.964
    -5.965   145.970
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.927   146.005
    -5.965   145.970
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.853   145.995
    -5.853   145.991
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.792   146.101
    -5.853   145.991
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.024   146.156
    -6.024   146.156
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.003   146.115
    -6.024   146.156
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.842   145.963
    -5.842   145.965
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.812   145.977
    -5.842   145.965
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.853   145.982
    -5.853   145.982
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.815   145.975
    -5.853   145.982
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.017   146.068
    -6.016   146.068
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.004   146.019
    -6.016   146.068
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.967   146.124
    -5.968   146.122
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.915   146.217
    -5.968   146.122
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.142   146.275
    -6.142   146.272
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.142   146.346
    -6.142   146.272
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.054   146.081
    -6.054   146.079
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.036   146.167
    -6.054   146.079
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.950   146.203
    -5.950   146.202
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.901   146.195
    -5.950   146.202
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.924   146.301
    -5.924   146.302
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.838   146.393
    -5.924   146.302
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.962   145.873
    -5.962   145.873
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.906   145.976
    -5.962   145.873
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.118   145.975
    -6.120   145.976
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.061   146.120
    -6.120   145.976
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.069   146.018
    -6.070   146.021
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.092   145.935
    -6.070   146.021
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.756   146.072
    -5.756   146.076
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.734   146.067
    -5.756   146.076
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.918   145.983
    -5.919   145.982
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.889   145.961
    -5.919   145.982
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.913   145.982
    -5.914   145.979
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.873   146.002
    -5.914   145.979
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.936   146.010
    -5.937   146.009
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.925   145.985
    -5.937   146.009
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.953   146.024
    -5.954   146.024
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.946   146.012
    -5.954   146.024
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.887   145.924
    -5.887   145.922
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.875   145.932
    -5.887   145.922
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.803   145.786
    -5.804   145.781
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.952   145.842
    -5.804   145.781
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.002   145.991
    -6.003   145.993
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.964   146.007
    -6.003   145.993
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.873   145.994
    -5.873   145.993
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.812   146.024
    -5.873   145.993
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.717   145.912
    -5.717   145.914
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.650   145.924
    -5.717   145.914
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.064   145.988
    -6.064   145.990
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.080   146.004
    -6.064   145.990
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.820   145.935
    -5.820   145.936
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.761   145.957
    -5.820   145.936
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.862   146.141
    -5.863   146.138
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.806   146.231
    -5.863   146.138
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.849   146.081
    -5.850   146.081
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.801   146.158
    -5.850   146.081
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.866   146.179
    -5.866   146.187
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.809   146.202
    -5.866   146.187
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.825   145.895
    -5.825   145.896
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.797   145.916
    -5.825   145.896
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.842   145.917
    -5.842   145.920
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.819   145.957
    -5.842   145.920
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.826   145.911
    -5.826   145.912
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.822   145.941
    -5.826   145.912
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.862   146.128
    -5.862   146.128
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.791   146.218
    -5.862   146.128
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.060   146.191
    -6.060   146.194
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.042   146.231
    -6.060   146.194
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.884   145.859
    -5.884   145.861
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.814   145.917
    -5.884   145.861
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.936   145.881
    -5.935   145.882
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.950   145.919
    -5.935   145.882
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.854   145.845
    -5.855   145.848
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.838   145.818
    -5.855   145.848
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.873   145.972
    -5.872   145.981
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.867   145.953
    -5.872   145.981
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -5.606   145.723
    -5.606   145.723
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.519   145.911
    -5.606   145.723
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.599   146.989
    -6.600   146.987
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.525   146.983
    -6.600   146.987
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.028   146.134
    -6.028   146.134
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -5.956   146.191
    -6.028   146.134
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.203   146.257
    -6.204   146.258
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.183   146.183
    -6.204   146.258
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.200   146.277
    -6.200   146.278
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.111   146.419
    -6.200   146.278
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.338   146.244
    -6.339   146.244
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.202   146.260
    -6.339   146.244
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.230   146.268
    -6.232   146.268
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.187   146.259
    -6.232   146.268
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.204   146.234
    -6.205   146.234
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.174   146.222
    -6.205   146.234
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.486   146.859
    -6.488   146.860
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.401   146.791
    -6.488   146.860
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.027   146.184
    -6.028   146.184
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.045   146.243
    -6.028   146.184
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.379   146.957
    -6.378   146.956
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.357   146.931
    -6.378   146.956
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.469   146.924
    -6.469   146.923
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.454   146.921
    -6.469   146.923
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.467   146.745
    -6.468   146.744
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.418   146.923
    -6.468   146.744
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.418   146.683
    -6.418   146.684
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.375   146.820
    -6.418   146.684
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    -6.361   146.700
    -6.364   146.688
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    -6.227   146.922
    -6.364   146.688
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    -6.498   146.747   -14.043     4.332     9.054
    -6.562   146.865   -36.866     2.481     4.205
    -6.623   146.879   -22.757     2.808     5.056
    -6.378   146.354   -63.420     3.330     8.154
    -6.233   146.457   -45.760     2.033     5.204
    -5.930   146.020   -32.427     2.189     6.994
    -5.675   145.670   -22.901     3.071     5.386
    -7.019   146.879    28.639     2.835     4.651
    -6.582   146.763   -78.002     3.870     8.527
    -6.564   146.890   -76.816     3.997     7.125
    -5.925   146.050   -22.068     1.700     3.709
    -5.969   146.178   -17.670     3.170     5.013
    -5.965   145.970    -2.977     3.270     8.878
    -5.853   145.991    -6.600     3.642    11.811
    -6.024   146.156   -27.054     1.658     3.737
    -5.842   145.965   -20.304     2.332     5.115
    -5.853   145.982   -19.073     2.438     5.983
    -6.016   146.068   -11.834     2.579     5.087
    -5.968   146.122   -14.999     2.825     7.607
    -6.142   146.272    11.380     3.714     8.236
    -6.054   146.079     1.206     2.097     5.203
    -5.950   146.202    -9.625     1.636     2.326
    -5.924   146.302     4.527     2.551     4.754
    -5.962   145.873   -12.561     2.219     8.540
    -6.120   145.976   -37.026     2.084     4.596
    -6.070   146.021   -22.345     2.152     3.542
    -5.756   146.076   -43.262     3.950     4.617
    -5.919   145.982   -14.245     1.587     3.019
    -5.914   145.979    -7.139     2.264    10.619
    -5.937   146.009   -32.346     2.086     3.701
    -5.954   146.024   -21.097     1.929     3.529
    -5.887   145.922   -21.847     1.689     3.867
    -5.804   145.781   -19.995     2.421     5.865
    -6.003   145.993   -19.883     1.369     2.813
    -5.873   145.993   -23.584     1.917     3.791
    -5.717   145.914   -22.259     1.531     3.404
    -6.064   145.990   -19.517     1.504     2.894
    -5.820   145.936   -22.974     1.740     3.486
    -5.863   146.138    -8.971     2.229     4.916
    -5.850   146.081   -10.284     2.133     5.932
    -5.866   146.187   -25.816     2.170     3.789
    -5.825   145.896   -20.942     1.450     3.671
    -5.842   145.920   -21.208     1.475     3.531
    -5.826   145.912   -19.776     1.919     4.788
    -5.862   146.128    -8.115     2.586     7.532
    -6.060   146.194   -81.929     4.276    10.312
    -5.884   145.861   -52.719     3.198     5.120
    -5.935   145.882   -45.235     3.535     5.618
    -5.855   145.848   -24.082     1.841     4.373
    -5.872   145.981   -23.327     2.343     4.901
    -5.606   145.723    -9.021     1.983     7.398
    -6.600   146.987   -21.810     5.838     8.707
    -6.028   146.134   -32.537     2.134     5.697
    -6.204   146.258   -41.228     2.757     4.947
    -6.200   146.278   -48.094     2.220     3.722
    -6.339   146.244   -67.977     2.214     7.073
    -6.232   146.268   -43.996     1.759     2.755
    -6.205   146.234   -42.072     2.044     3.188
    -6.488   146.860    38.677     4.350     9.480
    -6.028   146.184   -45.733     2.798     7.071
    -6.378   146.956    32.390     4.214     9.339
    -6.469   146.923    -9.480     3.625     4.091
    -6.468   146.744     1.737     3.651     8.174
    -6.418   146.684    -0.538     8.913    12.800
    -6.364   146.688    -3.775     8.979    14.099
END
# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    -5.925   146.050     0.200
    -5.969   146.178     0.200
    -5.950   146.202     0.200
    -5.937   146.009     0.200
END

# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    -7.067   145.620   -26.950     3.891     5.020
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    -7.067   145.642   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    -7.067   145.620     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    -7.067   145.620     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    -7.112   145.620   5 km
END
