#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=lae3.18_dcal.ps
projection=-JM16.0c+
region=-R143.8/148.9/-8.9/-3.7
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration lae3.18' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/l10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.673   146.913
    -6.498   146.747
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.665   147.002
    -6.562   146.865
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.735   147.009
    -6.623   146.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.665   147.002
    -6.378   146.354
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.735   147.009
    -6.378   146.354
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.665   147.002
    -6.233   146.457
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -6.233   146.457
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.930   146.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.665   147.002
    -5.930   146.020
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.675   145.670
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.665   147.002
    -7.019   146.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.665   147.002
    -6.582   146.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.665   147.002
    -6.564   146.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.617   147.857
    -6.564   146.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.925   146.050
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.965   145.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.853   145.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -6.024   146.156
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.842   145.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.853   145.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -6.016   146.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.968   146.122
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -6.142   146.272
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -6.142   146.272
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -6.054   146.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -6.054   146.079
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -5.950   146.202
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -5.924   146.302
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.924   146.302
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -5.962   145.873
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.962   145.873
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -6.120   145.976
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.665   147.002
    -6.120   145.976
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -6.070   146.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -6.070   146.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.665   147.002
    -6.070   146.021
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -5.756   146.076
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.665   147.002
    -5.756   146.076
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -5.919   145.982
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -5.914   145.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.914   145.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -5.954   146.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.954   146.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.665   147.002
    -5.954   146.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -5.887   145.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.887   145.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.665   147.002
    -5.887   145.922
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -5.804   145.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.804   145.781
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -6.003   145.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -6.003   145.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.665   147.002
    -6.003   145.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -5.873   145.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.873   145.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.665   147.002
    -5.873   145.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.717   145.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -5.717   145.914
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -6.064   145.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -6.064   145.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.665   147.002
    -6.064   145.990
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -5.820   145.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.820   145.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.665   147.002
    -5.820   145.936
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -5.863   146.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.863   146.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -5.850   146.081
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.850   146.081
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -5.866   146.187
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.866   146.187
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.665   147.002
    -5.866   146.187
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -5.825   145.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.825   145.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.665   147.002
    -5.825   145.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -5.842   145.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.842   145.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.665   147.002
    -5.842   145.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -5.826   145.912
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.826   145.912
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.665   147.002
    -5.826   145.912
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -5.862   146.128
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.862   146.128
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -6.060   146.194
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.665   147.002
    -6.060   146.194
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -5.884   145.861
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.665   147.002
    -5.884   145.861
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -5.935   145.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.665   147.002
    -5.935   145.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -5.855   145.848
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.855   145.848
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -5.872   145.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.872   145.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.665   147.002
    -5.872   145.981
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -5.606   145.723
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -5.606   145.723
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.578   146.713
    -6.600   146.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -6.600   146.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -6.028   146.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.578   146.713
    -6.028   146.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.578   146.713
    -6.204   146.258
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -7.346   146.717
    -6.204   146.258
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -6.200   146.278
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.578   146.713
    -6.200   146.278
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -6.200   146.278
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -7.346   146.717
    -6.200   146.278
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -6.339   146.244
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.578   146.713
    -6.339   146.244
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -7.346   146.717
    -6.339   146.244
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -6.232   146.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.578   146.713
    -6.232   146.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -6.232   146.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -7.346   146.717
    -6.232   146.268
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.241   145.969
    -6.205   146.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.578   146.713
    -6.205   146.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -5.250   145.780
    -6.205   146.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -7.346   146.717
    -6.205   146.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.578   146.713
    -6.488   146.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -7.346   146.717
    -6.488   146.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.578   146.713
    -6.028   146.184
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.578   146.713
    -6.378   146.956
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.578   146.713
    -6.469   146.923
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -6.578   146.713
    -6.468   146.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -7.346   146.717
    -6.468   146.744
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -7.346   146.717
    -6.418   146.684
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    -7.346   146.717
    -6.364   146.688
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    -6.673   146.913     0.300
    -6.665   147.002     0.300
    -6.735   147.009     0.300
    -5.250   145.780     0.300
    -6.617   147.857     0.300
    -6.241   145.969     0.300
    -6.578   146.713     0.300
    -7.346   146.717     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.498   146.747     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.562   146.865     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.623   146.879     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.378   146.354     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.233   146.457     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.930   146.020     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.675   145.670     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -7.019   146.879     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.582   146.763     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.564   146.890     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.925   146.050     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.969   146.178     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.965   145.970     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.853   145.991     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.024   146.156     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.842   145.965     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.853   145.982     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.016   146.068     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.968   146.122     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.142   146.272     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.054   146.079     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.950   146.202     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.924   146.302     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.962   145.873     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.120   145.976     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.070   146.021     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.756   146.076     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.919   145.982     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.914   145.979     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.937   146.009     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.954   146.024     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.887   145.922     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.804   145.781     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.003   145.993     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.873   145.993     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.717   145.914     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.064   145.990     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.820   145.936     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.863   146.138     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.850   146.081     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.866   146.187     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.825   145.896     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.842   145.920     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.826   145.912     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.862   146.128     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.060   146.194     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.884   145.861     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.935   145.882     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.855   145.848     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.872   145.981     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -5.606   145.723     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.600   146.987     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.028   146.134     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.204   146.258     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.200   146.278     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.339   146.244     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.232   146.268     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.205   146.234     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.488   146.860     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.028   146.184     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.378   146.956     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.469   146.923     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.468   146.744     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.418   146.684     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    -6.364   146.688     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    -6.076   146.208     0.000   222.000   222.000
    -6.076   146.208     0.000   444.000   444.000
END
