#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=lae3.18_epa_1.ps
projection=-JM16.0c+
region=-R130.5/162.2/-22.1/9.5
gmt psbasemap $region $projection -Bxa5.0f1.0 -Bya5.0f1.0 -BWeSn+t'Empirical Path Anomalies: Pn lae3.18' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/ETOPO/etopo2.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -M -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    -6.076   146.208     0.300
END
# Station symbols
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    -9.406   147.159    -0.267
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    -5.495   143.728     0.714
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    -4.193   152.163     0.129
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
   -20.088   146.254     0.309
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    -5.250   145.780     0.439
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    -8.908   148.150    -1.315
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    -2.042   147.402     0.675
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    -2.515   140.705     1.160
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    -6.301   155.491    -0.337
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    -9.432   159.947     0.198
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
   -12.844   131.133    -0.094
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    -2.588   150.812     0.344
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
   -20.088   146.254     0.197
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
   -20.715   139.553    -0.179
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    -9.150   159.815     0.138
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    -6.155   143.658     0.923
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    -5.268   141.221     0.439
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
   -20.558   139.605    -0.198
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    -3.623   143.624     0.914
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
   -12.711   132.440    -0.243
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    -7.346   146.717    -0.286
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    -6.617   147.857     0.096
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    -6.372   143.483     0.438
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    -5.348   141.292     1.089
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    -7.112   143.922     0.353
END
gmt pstext -: -R $projection -F+f5p,Helvetica,black+a0.+jBL -O -K << END >> $psfile
    -9.406   147.159   PMG  
    -5.495   143.728   WAB  
    -4.193   152.163   RAB  
   -20.088   146.254   CTA  
    -5.250   145.780   MDG  
    -8.908   148.150   LMG  
    -2.042   147.402   MOM  
    -2.515   140.705   JAY  
    -6.301   155.491   PAA  
    -9.432   159.947   HNR  
   -12.844   131.133   MTN  
    -2.588   150.812   KVG  
   -20.088   146.254   CTAO 
   -20.715   139.553   ISQ  
    -9.150   159.815   SVO  
    -6.155   143.658   MNDI 
    -5.268   141.221   TZZ  
   -20.558   139.605   QIS  
    -3.623   143.624   WWKK 
   -12.711   132.440   KAKA 
    -7.346   146.717   WAU  
    -6.617   147.857   FINC 
    -6.372   143.483   MCAS 
    -5.348   141.292   OKTD 
    -7.112   143.922   KIAM 
END
gmt pstext -: -R $projection -F+f8p,Helvetica,black+a0.+jBL -O -K << END >> $psfile
   -17.920   132.236   Closed circles: stations used in direct calibration
END
gmt psxy -: -R $projection -Sc -Wthick,blue  -O -K << END >> $psfile
   -19.870   133.631    -0.500
   -19.870   135.626    -0.250
END
gmt psxy -: -R $projection -Sc -Wthick,green  -K -O << END >> $psfile
   -19.870   137.336     0.100
END
gmt psxy -: -R $projection -Sc -Wthick,red  -K -O << END >> $psfile
   -19.870   139.331     0.250
   -19.870   141.326     0.500
END
gmt pstext -: -R $projection -F+f8p,Helvetica,black+a0.+jBL -O << END >> $psfile
   -18.865   132.232   Station Residuals (sec.)
   -21.370   132.731   -2
   -21.370   134.831   -1
   -21.370   137.081   0
   -21.370   138.506   +1
   -21.370   140.531   +2
END
